boost::geometry::resolve_variant::disjoint< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor Struct Reference

List of all members.

## Public Member Functions

template<typename Geometry1 >
bool | operator() (Geometry1 const &geometry1) const
| visitor (Geometry2 const &geometry2)

## Public Attributes

Geometry2 const & | m_geometry2

### template<BOOST_VARIANT_ENUM_PARAMS(typename T), typename Geometry2>
struct boost::geometry::resolve_variant::disjoint< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) , typename Geometry2 >

boost::geometry::resolve_variant::disjoint< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor::visitor | ( | Geometry2 const & | geometry2 | ) |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) , typename Geometry2 >
template<typename Geometry1 >

bool boost::geometry::resolve_variant::disjoint< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor::operator() | ( | Geometry1 const & | geometry1 | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) , typename Geometry2 >

Geometry2 const& boost::geometry::resolve_variant::disjoint< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor::m_geometry2

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK